ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jacques Bergeron" <jacques.berge...@dogico.com>
Subject RE: Untar task question [EXPIRED TRIAL LICENCE]
Date Tue, 20 Jun 2000 09:41:44 GMT
Hi!

> Stefan wrote:
> By now no java.apache or jakarata.apache project I was aware of has
> made the transition to require Java 2 so it wouldn't be too nice for a
> build tool to be the first.

So Ant will have to keep 1.1 backward compatibility for a LONG time. Makes
sense.

Since your patch was accepted I assume that it's also OK to use "newer"
functionality when it makes sense (last modification time is a good example)
as far as it doesn't break backward compatibility. As a consequence Ant will
ALWAYS have SOME inconsistent behavior depending on the VM version.

Do you think that it would be worth to have that in the documentation (user
manual) both as a general comment and as specific notes for each affected
task. I can work on a proposition if you think it's worth.

If all of this makes sense then do you know any other "inconsistence" of
that type in Ant.

Ciao,

Jacques



Mime
View raw message